/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.4.14,
* Autoprefixer: v10.4.7
* Browsers: last 4 version
*/

/*<link href="/path/to/print.css" media="print" rel="stylesheet" />*/

@page {
    size: A4;
    margin: 6em 3em;
  }

@media print{
    .site-header,
    .title-area-wrapper .breadcrumbs,
    .post-cat, a.post-cat,
    .puffar-posts,
    .footer-holder,
    #cookie-notice .cookie-notice-container, #cookie-notice .cookie-revoke-container,
    .newsletter-popup-wrapper.slidehide,
    .newsletter-popup-wrapper,
    .post_meta,
    .title-area-wrapper .title-area-inner .share-text-wrap{
        display: none;
        visibility: hidden;
    }

    .post-content .post-content-inner{
        max-height: unset;
        visibility: visible;
    }
    
    .all-post{
        display: none !important;
    }

    /*Avstånd*/
    .wp-caption img{
        width: 100%;
    }

    .title-area-wrapper .title-area-inner{
        padding-bottom: 0;
    }

    .page-content{
        padding-top: 0;
        display: contents;
    }

    .container, .container > .row{
        display: contents;
    }

    .container.content-narrow{
        display: block;
        width: 100% !important;
        max-width: unset;
        padding-left: 30px;
        padding-right: 30px;
    }

    .page-content h3, .page-content .h3, .page-content h4, .page-content .h4, .page-content h5, .page-content .h5, .page-content h6, .page-content .h6{
        -webkit-column-break-before:avoid;
           -moz-column-break-before:avoid;
                break-before:avoid;
    }

    /*Hide scrollbar: https://github.com/KingSora/OverlayScrollbars/issues/628*/
    /* Hide scrollbar and remove any box-shadow or background gradient */
    div.os-scrollbar,
    ::-webkit-scrollbar,
    ::-webkit-scrollbar-thumb,
    ::-webkit-scrollbar-track,
    ::-webkit-scrollbar-corner {
        display: none !important;
        -webkit-box-shadow: none !important;
                box-shadow: none !important;
        background: none !important;
    }

    /* Additional rules to ensure no box-shadow or background gradient */
    ::-webkit-scrollbar-thumb {
        -webkit-box-shadow: none !important;
                box-shadow: none !important;
        background: none !important;
    }

    ::-webkit-scrollbar-track {
        -webkit-box-shadow: none !important;
                box-shadow: none !important;
        background: none !important;
    }

    ::-webkit-scrollbar-corner {
        -webkit-box-shadow: none !important;
                box-shadow: none !important;
        background: none !important;
    }

    /*Typografi*/
    .title-area-wrapper .title-area-inner .intro p,
    p, a, ul, li, span, .page-content{
        font-size: 1.5rem;
        line-height: 1.5;
    }

    .wp-caption p.wp-caption-text{
        padding: 5px 0 0 0;
        font-size: 1.4rem;
        line-height: 1.4;
    }

    .title-area-wrapper .title-area-inner .intro a{
        font-size: inherit;
    }

    .btn-print-post{
        display: none;
    }
}